Download it now!
Bug 80681 - DIALOG: Picture has extra white spacing in picture dialog
Summary: DIALOG: Picture has extra white spacing in picture dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other Linux (All)
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.0.2 target:4.2.6
Keywords: needsDevEval
Depends on:
Blocks: Image-Dialog
  Show dependency treegraph
 
Reported: 2014-06-29 16:04 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 01:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
picture tab 4.0 VS 4.4 (57.16 KB, image/png)
2014-06-29 16:04 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-29 16:04:58 UTC
Created attachment 101978 [details]
picture tab 4.0 VS 4.4

Since 4.1, the Picture tab of the Picture dialog has a large extra white padding to its left to center an image in the tab. This looks fine when the dialog box background is white, like in windows, but when its grey like in linux, it doesnt look good. Tested this on Linux Mint and Ubuntu.
Comment 1 Arnaud Versini 2014-06-29 16:12:51 UTC
Confirmed on OpenSuse 64 Factory with 4.2.5
Comment 2 Adolfo Jayme 2014-06-30 08:14:11 UTC
Yeah, that preview widget also needs a border so that the tab page doesn’t look unfinished. CCing Caolán who may be interested in this issue.
Comment 3 Commit Notification 2014-06-30 15:33:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1caad856de1c1c5b0a8c31d2226416a2db9632cd

Resolves: fdo#80681 widget is not transparent



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-06-30 15:35:15 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a2120a4814975f52648700bb11ceec1df42f79b&h=libreoffice-4-3

Resolves: fdo#80681 widget is not transparent


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) (retired) 2014-06-30 16:15:30 UTC
Thanks Caolan for the quick fix, hope it can be ported to 4.2.6. Did the fix include the border Adolfo suggested?
Comment 6 Commit Notification 2014-07-01 12:25:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ad76412e3fa74f2b7547d7cc283933775b2760e&h=libreoffice-4-2

Resolves: fdo#80681 widget is not transparent


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-18 10:53:01 UTC
Migrating Whiteboard tags to Keywords: (NeedDevEval  -> NeedsDevEval )
[NinjaEdit]